#include <stdio.h>
#include <errno.h>
#include "yagi.h"
extern int errno;

/* Since there are a large number of parametres set in the header file
and 'optimise.c', I've added a function to print the lot. This will
be more accurate than putting them in the man page, since that tends
to get out of date */

extern double acceptable_vswr, acceptable_fb_ratio, acceptable_reactance;
extern double acceptable_resistance_error, percent;
extern double Zo, boom_factor;

extern double weight_gain, weight_fb, weight_tau;
extern double max_gain, max_fb;
extern int choice, type_of_elements_moved;

void show_all_optimise_parameters(char *exefile)
{
	printf("%s version %.2lf\n", exefile,version() );
	printf("Zo=%lf Ohms \n", Zo);
	printf("Acceptable VSWR < %.3lf:1\n", acceptable_vswr);
	printf("Acceptable FB > %.3lf dB\n", acceptable_fb_ratio);
	printf("Acceptable reactance < %.3lf Ohms\n", acceptable_reactance);
	printf("Acceptable resistance %.3lf < R < %.3lf Ohms\n", Zo-acceptable_resistance_error, Zo+acceptable_resistance_error);
	printf("Maximum percentage change between each iteration is %.6lf%%\n", percent);
	printf("weight_gain=%.4lf weight_fb=%.5lf weight_swr=%.4lf\n", weight_gain, weight_fb, weight_tau);
	printf("Type of elements moved/adjusted is %d\n", type_of_elements_moved);
	printf("Default choice of optimisation method is %d\n", choice);
	printf("Boom will not extend by more than %.3lf%%\n", boom_factor);

#ifdef DEBUG
	if(errno)
	{
		fprintf(stderr,"Errno =%d in showopt.c\n", errno);
		exit(1);
	}
#endif
}

